Name: cernlib
Version: 2001
Release: alt8

Group: Sciences/Physics
Summary: CERN libraries.
License: GPL
Url: http://cern.web.cern.ch/cernlib/install.html
Source: cernlib2001.tar.bz2
Source1: cernlib-doc.tar
Source2: paw.ps.bz2
Patch0: cernlib.make.patch
Patch1: cernlib-intel.patch
Patch2: cernlib.paw++.patch
Patch3: cernlib-2001-gccopt2.patch
Requires: gcc2.96-g77 lapack motif

BuildRequires: gcc2.96-g77 lapack motif-devel

AutoReqProv:    no

%package -n paw
Summary: Physics Analisys Workstation
Group: Sciences/Physics

%package -n cernlib-docs
Summary: CERN libraries documentation
Group: Sciences/Physics

%description

The CERN Program Library is a large collection of general purpose programs
maintained and offered in both source and object code form on the CERN
central computers. Most of these programs were developed at CERN and are
therefore oriented towards the needs of a physics research laboratory.
Nearly all, however, are of a general mathematical or data-handling
nature, applicable to a wide range of problems.

%description -n paw

 Physics analisys workstation.

%description -n cernlib-docs

 CERN libraries and PAW user manuals.

%prep
%setup
%patch0 -p1
%patch2 -p1
%patch3 -p1

tar -xf %SOURCE1
cp %SOURCE2 ./

%build
export CERN=`pwd`
export CERN_LEVEL=2001
export CERN_ROOT=$CERN/$CERN_LEVEL
export CVSCOSRC=$CERN_ROOT/src
cd $CVSCOSRC
./config/imake_boot
make bin/kuipc
export PATH=$CERN_ROOT/bin:$CERN_ROOT/src/scripts:$PATH
mkdir -p $CERN_ROOT/lib/
mkdir -p $CERN_ROOT/bin/
ln -s /usr/lib/liblapack3.a $CERN_ROOT/lib/liblapack3.a
ln -s /usr/lib/libblas.a $CERN_ROOT/lib/libblas.a
make
(cd pawlib/paw/programs; make paw++; make install.bin)
(cd pawlib/paw; make install.bin)

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/cern/
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/include/cern/

cp 2001/bin/kuipc $RPM_BUILD_ROOT/usr/bin/
cp 2001/bin/pawX11 $RPM_BUILD_ROOT/usr/bin/paw
cp 2001/bin/paw++ $RPM_BUILD_ROOT/usr/bin/paw++
rm -f 2001/lib/libblas.a
rm -f 2001/lib/liblapack3.a
rm -f 2001/lib/xsneut95.dat
(cd 2001/lib; tar -cf - .) | (cd $RPM_BUILD_ROOT/usr/lib/cern; tar -xf -)
cp 2001/src/geant321/data/xsneut95.dat $RPM_BUILD_ROOT/usr/lib/cern/
cp 2001/src/scripts/gxint $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/include/cern
(cd 2001/include; tar -cf - .) | (cd $RPM_BUILD_ROOT/usr/include/cern; tar -xf -)

%files -n paw
%doc paw.ps.bz2
/usr/bin/paw
/usr/bin/paw++

%files -n cernlib-docs
%doc postscript/*

%files

/usr/bin/gxint
/usr/bin/kuipc
/usr/lib/cern/*
/usr/include/cern/*

%changelog

* Sun Dec 01 2002 Vitaly Lugovsky <vsl@altlinux.ru> 2001-alt8
- rebuild again

* Wed Nov 13 2002 Vitaly Lugovsky <vsl@altlinux.ru> 2001-alt7
- gcc3.2 rebuild

*Sat May 18 2002 Vitaly Lugovsky <vsl@altlinux.ru> 2001-alt6
- License fixed (now GPL exactly)
- New description.

*Sat Apr 27 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Lot of changes; PAW++ and docs included.

*Sun Feb 17 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.
